﻿function twitterCallback2(twitters) {
  var statusHTML = [];
  for (var i=0; i<twitters.length; i++){
    var username = twitters[i].user.screen_name;
    var status = twitters[i].text.replace(/((https?|s?ftp|ssh)\:\/\/[^"\s\<\>]*[^.,;'">\:\s\<\>\)\]\!])/g, function(url) {
      return '<a href="'+url+'">'+url+'</a>';
    }).replace(/\B@([_a-z0-9]+)/ig, function(reply) {
      return  reply.charAt(0)+'<span class="twetterlink"><a href="http://twitter.com/'+reply.substring(1)+'">'+reply.substring(1)+'</a></span>';
    });
    statusHTML.push('<span class="twettermemo"><li><span>'+status+'</span> '+relative_time(twitters[i].created_at)+'</li></span>');
  }
  document.getElementById('twitter_update_list').innerHTML = statusHTML.join('');
}

function relative_time(time_value) {
  var values = time_value.split(" ");
  time_value = values[1] + " " + values[2] + ", " + values[5] + " " + values[3];
  var parsed_date = Date.parse(time_value);
  var relative_to = (arguments.length > 1) ? arguments[1] : new Date();
  var delta = parseInt((relative_to.getTime() - parsed_date) / 1000);
  delta = delta + (relative_to.getTimezoneOffset() * 60);

  if (delta < 60) {
    return '<span class=twettertime>' + '최근' + '</span>';
  } else if(delta < 120) {
    return '<span class=twettertime>' + '약 1분 전(前)' + '</span>';
  } else if(delta < (60*60)) {
    return '<span class=twettertime>' + (parseInt(delta / 60)).toString() + ' 분 전(前)' + '</span>';
  } else if(delta < (120*60)) {
    return '<span class=twettertime>' + '약 1시간 전(前)' + '</span>';
  } else if(delta < (24*60*60)) {
    return '<span class=twettertime>' + '약 ' + (parseInt(delta / 3600)).toString() + '시간 전(前)' + '</span>';
  } else if(delta < (48*60*60)) {
    return '<span class=twettertime>' + '하루 전(前)' + '</span>';
  } else {
    return '<span class=twettertime>' + (parseInt(delta / 86400)).toString() + '일 전(前)' + '</span>';
  }
}